org.optaplanner.persistence.jackson.api.score

## Class AbstractScoreJacksonJsonSerializer<Score_ extends Score<Score_>>

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonSerializer<Score_>
  - - org.optaplanner.persistence.jackson.api.score.AbstractScoreJacksonJsonSerializer<Score_>

- Type Parameters:
    `Score_` - the actual score type
  All Implemented Interfaces:
    com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable, com.fasterxml.jackson.databind.ser.ContextualSerializer
  Direct Known Subclasses:
    BendableBigDecimalScoreJacksonJsonSerializer, BendableLongScoreJacksonJsonSerializer, BendableScoreJacksonJsonSerializer, HardMediumSoftBigDecimalScoreJacksonJsonSerializer, HardMediumSoftLongScoreJacksonJsonSerializer, HardMediumSoftScoreJacksonJsonSerializer, HardSoftBigDecimalScoreJacksonJsonSerializer, HardSoftDoubleScoreJacksonJsonSerializer, HardSoftLongScoreJacksonJsonSerializer, HardSoftScoreJacksonJsonSerializer, SimpleBigDecimalScoreJacksonJsonSerializer, SimpleDoubleScoreJacksonJsonSerializer, SimpleLongScoreJacksonJsonSerializer, SimpleScoreJacksonJsonSerializer

      public abstract class AbstractScoreJacksonJsonSerializer<Score_ extends Score<Score_>>
      extends com.fasterxml.jackson.databind.JsonSerializer<Score_>
      implements com.fasterxml.jackson.databind.ser.ContextualSerializer

  Jackson binding support for a `Score` subtype. For a `Score` field, use `PolymorphicScoreJacksonJsonSerializer` instead, so the score type is recorded too and it can be deserialized.

  For example: use `@JsonSerialize(using = HardSoftScoreJacksonJsonSerializer.class) @JsonDeserialize(using = HardSoftScoreJacksonJsonDeserializer.class)` on a `HardSoftScore score` field and it will marshalled to JSON as `"score":"-999hard/-999soft"`. Or better yet, use `OptaPlannerJacksonModule` instead.

  See Also:
    `Score`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

      `com.fasterxml.jackson.databind.JsonSerializer.None`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractScoreJacksonJsonSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.fasterxml.jackson.databind.JsonSerializer<?>` | `createContextual(com.fasterxml.jackson.databind.SerializerProvider provider, com.fasterxml.jackson.databind.BeanProperty property)`
    `void` | `serialize(Score_ score, com.fasterxml.jackson.core.JsonGenerator generator, com.fasterxml.jackson.databind.SerializerProvider serializers)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

      `acceptJsonFormatVisitor, getDelegatee, handledType, isEmpty, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, serializeWithType, unwrappingSerializer, usesObjectId, withFilterId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractScoreJacksonJsonSerializer

          public AbstractScoreJacksonJsonSerializer()

  - ### Method Detail

    - #### createContextual

          public com.fasterxml.jackson.databind.JsonSerializer<?> createContextual(com.fasterxml.jackson.databind.SerializerProvider provider,
                                                                                   com.fasterxml.jackson.databind.BeanProperty property)
                                                                            throws com.fasterxml.jackson.databind.JsonMappingException

      Specified by:
        `createContextual` in interface `com.fasterxml.jackson.databind.ser.ContextualSerializer`
      Throws:
        `com.fasterxml.jackson.databind.JsonMappingException`

    - #### serialize

          public void serialize(Score_ score,
                                com.fasterxml.jackson.core.JsonGenerator generator,
                                com.fasterxml.jackson.databind.SerializerProvider serializers)
                         throws IOException

      Specified by:
        `serialize` in class `com.fasterxml.jackson.databind.JsonSerializer<Score_ extends Score<Score_>>`
      Throws:
        `IOException`

Copyright © 2006–2021 JBoss by Red Hat. All rights reserved.